/*
 *
 * globals.h -- external variables
 *
 * This code is copyright 1995 by James A. Cherry, jac@doe.carleton.ca.
 * It is not to be redistributed or modified without his permission.
 *
 */

extern char Board[16][16], TBoard[16][16];

extern char Words[2100000];
extern long WPtr[220000];
extern long WLen[MAX_WLEN][27];
extern long DictSize;

extern char PlrTiles[2][7];
extern int PlrScores[2];
extern int TilesLeft[27], TTilesLeft[27];
extern int Track[27], TTrack[27];
extern int Players;

extern int MyPlrNum, TheirPlrNum;

extern int B1X, B1Y, B2X, B2Y;

extern compmove *CHead;
extern int IgnoreSmaller;
extern int VerticalPlay;

extern struct another_word NewWords[8];

extern struct let_distrib Letters[28];

extern int RackLeave[27][8];
extern int VCMix[8][8];

extern int HHook[16][16][27], THHook[16][16][27];
extern int VHook[16][16][27], TVHook[16][16][27];

extern int SockP;
extern char SocketError[80];

extern int PrevState, CurrState;
extern int PrevTicks, CurrTicks;

extern struct plrlet MyPlay[7];
extern int MyWords;
extern int MyPlaced;
extern int MyDX;
extern int MyDY;
extern struct plrlet TheirPlay[7];
extern int TheirWords;
extern int TheirPlaced;
extern int TheirDX;
extern int TheirDY;

extern char MoveString[25], MoveLS[5], MoveWS[20];

extern char BlackList[100][20];
extern int BListLen;

extern sstruct StateTable[NUM_STATES];

extern struct cmdstruct Commands[38];

extern char TokenChars[5];

extern int TokenPairs[5][5];

extern char NumNames[10][6];

extern int DoomName;
extern char PlrName[20];
extern char Password[20];

extern FILE *LogFile;
extern int Logging;
